jvx.numeric

## Class PnVertexRKIgnoreDirection

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnGeodesicRK
    - - jvx.numeric.PnVertexRKIgnoreDirection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PnVertexRKIgnoreDirection
      extends PnGeodesicRK

  Discrete Runge-Kutta method on element sets. Vector field is given at vertices. Element set must be triangulated. Field is considered to be non-directed, so in each point we have two vectors (v2=-v1) to choose from.
  Since:
    JavaView 2.48.007
  See Also:
    Serialized Form
  Version:
    22.01.03, 1.10 revised (ep) You can invert the direction of integration with get/setInvertDirection.
    15.01.03, 1.00 created (ep)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnVertexRKIgnoreDirection(PgElementSet geom)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `eval(int elemInd, PdBary bary, PdBaryDir out)` Returns +/- barycentric interpolation between vectors at vertices.
    `void` | `setVectorField(PdBaryDir[][] vec)` Set intrinsic vector field given at vertices.
    `void` | `setVectorField(PgVectorField vec)` Set intrinsic vector field as projection of extrinsic vector field given at vertices.

    - ### Methods inherited from class jvx.numeric.PnGeodesicRK

      `eval, getInvertDirection, getStepLength, nextStep, prepareSolve, setFirstOrder, setFourthOrder, setGeometry, setInvertDirection, solve, solve, solve`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, init, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PnVertexRKIgnoreDirection

          public PnVertexRKIgnoreDirection(PgElementSet geom)

      Parameters:
        `geom` - underlying triangulation

  - ### Method Detail

    - #### setVectorField

          public void setVectorField(PdBaryDir[][] vec)

      Set intrinsic vector field given at vertices.
      Parameters:
        `vec` - [elementindex][localvertexindex]

    - #### setVectorField

          public void setVectorField(PgVectorField vec)

      Set intrinsic vector field as projection of extrinsic vector field given at vertices. In each element choose +/- the original vectors: Look at one vertex and switch the others in same triangle such that they have least scalar product.
      Parameters:
        `vec` - vector field in adjacent space
      See Also:
        `PgVectorField`
      Version:
        15.01.03, 1.00 created (ep)

    - #### eval

          public void eval(int elemInd,
                           PdBary bary,
                           PdBaryDir out)

      Returns +/- barycentric interpolation between vectors at vertices. The one with greater scalar product with parameter `out` is chosen. If `out` is zero, then the internal original is chosen.
      Specified by:
        `eval` in class `PnGeodesicRK`
      Parameters:
        `elemInd` - element in which the vector field will be evaluated
        `bary` - barycentric coordinates of the point in which the vector field will be evaluated
        `out` - output: in this `PdBaryDir` the evaluated direction will be stored
      See Also:
        `PnElementRK.eval(int, jv.vecmath.PdBary, jv.vecmath.PdBaryDir)`, `PnVertexRK.eval(int, jv.vecmath.PdBary, jv.vecmath.PdBaryDir)`, `PnTranslationRK.eval(int, jv.vecmath.PdBary, jv.vecmath.PdBaryDir)`

"

The software JavaView? is copyright protected. All Rights Reserved.
"